ch.qos.logback.core.joran.spi

## Class XMLUtil

- java.lang.Object
- - ch.qos.logback.core.joran.spi.XMLUtil

    public class XMLUtil
    extends java.lang.Object

### Field Summary

Fields
`static int` `ILL_FORMED`
`static int` `UNRECOVERABLE_ERROR`

### Constructor Summary

Constructors
Constructor and Description
`XMLUtil()`

### Method Summary

Methods
`static int` `checkIfWellFormed(java.net.URL url, StatusManager sm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ILL_FORMED

    public static final int ILL_FORMED

See Also:
  Constant Field Values

#### UNRECOVERABLE_ERROR

    public static final int UNRECOVERABLE_ERROR

See Also:
  Constant Field Values

### Constructor Detail

#### XMLUtil

    public XMLUtil()

### Method Detail

#### checkIfWellFormed

    public static int checkIfWellFormed(java.net.URL url,
                        StatusManager sm)